/**
 */
package tools.descartes.dni.dnimm3ap.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import tools.descartes.dni.dnimm3ap.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DNIAPFactoryImpl extends EFactoryImpl implements DNIAPFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static DNIAPFactory init() {
		try {
			DNIAPFactory theDNIAPFactory = (DNIAPFactory)EPackage.Registry.INSTANCE.getEFactory(DNIAPPackage.eNS_URI);
			if (theDNIAPFactory != null) {
				return theDNIAPFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new DNIAPFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DNIAPFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case DNIAPPackage.ADAPTATION_POINTS: return createAdaptationPoints();
			case DNIAPPackage.ADAPTATION_REPOSITORIES: return createAdaptationRepositories();
			case DNIAPPackage.ADAPTABLE_NODE_REPOSITORY: return createAdaptableNodeRepository();
			case DNIAPPackage.ADAPTABLE_LINK_REPOSITORY: return createAdaptableLinkRepository();
			case DNIAPPackage.ADAPTABLE_LINK_PERFORMANCE_REPOSITORY: return createAdaptableLinkPerformanceRepository();
			case DNIAPPackage.ADAPTABLE_END_PERFORMANCE_REPOSITORY: return createAdaptableEndPerformanceRepository();
			case DNIAPPackage.ADAPTABLE_INTERMEDIATE_PERFORMANCE_REPOSITORY: return createAdaptableIntermediatePerformanceRepository();
			case DNIAPPackage.ADAPTABLE_SDN_NODE_PERFORMANCE_REPOSITORY: return createAdaptableSdnNodePerformanceRepository();
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE_REPOSITORY: return createAdaptableNetworkInterfaceRepository();
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE_PERFORMANCE_REPOSITORY: return createAdaptableNetworkInterfacePerformanceRepository();
			case DNIAPPackage.ADAPTABLE_NODE: return createAdaptableNode();
			case DNIAPPackage.ADAPTABLE_LINK: return createAdaptableLink();
			case DNIAPPackage.ADAPTABLE_LINK_PERFORMANCE: return createAdaptableLinkPerformance();
			case DNIAPPackage.ADAPTABLE_END_PERFORMANCE: return createAdaptableEndPerformance();
			case DNIAPPackage.ADAPTABLE_INTERMEDIATE_PERFORMANCE: return createAdaptableIntermediatePerformance();
			case DNIAPPackage.ADAPTABLE_SDN_NODE_PERFORMANCE: return createAdaptableSdnNodePerformance();
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE: return createAdaptableNetworkInterface();
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE_PERFORMANCE: return createAdaptableNetworkInterfacePerformance();
			case DNIAPPackage.ADAPTATION_GROUPS: return createAdaptationGroups();
			case DNIAPPackage.NODE_ADAPTATION_GROUP: return createNodeAdaptationGroup();
			case DNIAPPackage.LINK_ADAPTATION_GROUP: return createLinkAdaptationGroup();
			case DNIAPPackage.ALTERNATIVE_VARIABLE_SET: return createAlternativeVariableSet();
			case DNIAPPackage.ALTERNATIVE_CONSTANT_LONG_VARIABLE_SET: return createAlternativeConstantLongVariableSet();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptationPoints createAdaptationPoints() {
		AdaptationPointsImpl adaptationPoints = new AdaptationPointsImpl();
		return adaptationPoints;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptationRepositories createAdaptationRepositories() {
		AdaptationRepositoriesImpl adaptationRepositories = new AdaptationRepositoriesImpl();
		return adaptationRepositories;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNodeRepository createAdaptableNodeRepository() {
		AdaptableNodeRepositoryImpl adaptableNodeRepository = new AdaptableNodeRepositoryImpl();
		return adaptableNodeRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableLinkRepository createAdaptableLinkRepository() {
		AdaptableLinkRepositoryImpl adaptableLinkRepository = new AdaptableLinkRepositoryImpl();
		return adaptableLinkRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableLinkPerformanceRepository createAdaptableLinkPerformanceRepository() {
		AdaptableLinkPerformanceRepositoryImpl adaptableLinkPerformanceRepository = new AdaptableLinkPerformanceRepositoryImpl();
		return adaptableLinkPerformanceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableEndPerformanceRepository createAdaptableEndPerformanceRepository() {
		AdaptableEndPerformanceRepositoryImpl adaptableEndPerformanceRepository = new AdaptableEndPerformanceRepositoryImpl();
		return adaptableEndPerformanceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableIntermediatePerformanceRepository createAdaptableIntermediatePerformanceRepository() {
		AdaptableIntermediatePerformanceRepositoryImpl adaptableIntermediatePerformanceRepository = new AdaptableIntermediatePerformanceRepositoryImpl();
		return adaptableIntermediatePerformanceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableSdnNodePerformanceRepository createAdaptableSdnNodePerformanceRepository() {
		AdaptableSdnNodePerformanceRepositoryImpl adaptableSdnNodePerformanceRepository = new AdaptableSdnNodePerformanceRepositoryImpl();
		return adaptableSdnNodePerformanceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNetworkInterfaceRepository createAdaptableNetworkInterfaceRepository() {
		AdaptableNetworkInterfaceRepositoryImpl adaptableNetworkInterfaceRepository = new AdaptableNetworkInterfaceRepositoryImpl();
		return adaptableNetworkInterfaceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNetworkInterfacePerformanceRepository createAdaptableNetworkInterfacePerformanceRepository() {
		AdaptableNetworkInterfacePerformanceRepositoryImpl adaptableNetworkInterfacePerformanceRepository = new AdaptableNetworkInterfacePerformanceRepositoryImpl();
		return adaptableNetworkInterfacePerformanceRepository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNode createAdaptableNode() {
		AdaptableNodeImpl adaptableNode = new AdaptableNodeImpl();
		return adaptableNode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableLink createAdaptableLink() {
		AdaptableLinkImpl adaptableLink = new AdaptableLinkImpl();
		return adaptableLink;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableLinkPerformance createAdaptableLinkPerformance() {
		AdaptableLinkPerformanceImpl adaptableLinkPerformance = new AdaptableLinkPerformanceImpl();
		return adaptableLinkPerformance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableEndPerformance createAdaptableEndPerformance() {
		AdaptableEndPerformanceImpl adaptableEndPerformance = new AdaptableEndPerformanceImpl();
		return adaptableEndPerformance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableIntermediatePerformance createAdaptableIntermediatePerformance() {
		AdaptableIntermediatePerformanceImpl adaptableIntermediatePerformance = new AdaptableIntermediatePerformanceImpl();
		return adaptableIntermediatePerformance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableSdnNodePerformance createAdaptableSdnNodePerformance() {
		AdaptableSdnNodePerformanceImpl adaptableSdnNodePerformance = new AdaptableSdnNodePerformanceImpl();
		return adaptableSdnNodePerformance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNetworkInterface createAdaptableNetworkInterface() {
		AdaptableNetworkInterfaceImpl adaptableNetworkInterface = new AdaptableNetworkInterfaceImpl();
		return adaptableNetworkInterface;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptableNetworkInterfacePerformance createAdaptableNetworkInterfacePerformance() {
		AdaptableNetworkInterfacePerformanceImpl adaptableNetworkInterfacePerformance = new AdaptableNetworkInterfacePerformanceImpl();
		return adaptableNetworkInterfacePerformance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdaptationGroups createAdaptationGroups() {
		AdaptationGroupsImpl adaptationGroups = new AdaptationGroupsImpl();
		return adaptationGroups;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NodeAdaptationGroup createNodeAdaptationGroup() {
		NodeAdaptationGroupImpl nodeAdaptationGroup = new NodeAdaptationGroupImpl();
		return nodeAdaptationGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LinkAdaptationGroup createLinkAdaptationGroup() {
		LinkAdaptationGroupImpl linkAdaptationGroup = new LinkAdaptationGroupImpl();
		return linkAdaptationGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AlternativeVariableSet createAlternativeVariableSet() {
		AlternativeVariableSetImpl alternativeVariableSet = new AlternativeVariableSetImpl();
		return alternativeVariableSet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AlternativeConstantLongVariableSet createAlternativeConstantLongVariableSet() {
		AlternativeConstantLongVariableSetImpl alternativeConstantLongVariableSet = new AlternativeConstantLongVariableSetImpl();
		return alternativeConstantLongVariableSet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DNIAPPackage getDNIAPPackage() {
		return (DNIAPPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static DNIAPPackage getPackage() {
		return DNIAPPackage.eINSTANCE;
	}

} //DNIAPFactoryImpl
